%define oname libdc1394
%define major 12
%define libname %mklibname dc1394_ %{major}
%define develname %mklibname dc1394_ %major -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394_12
Version: 	1.2.2
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.xz
Patch0:		libdc1394-0.9.5-lib64.patch
Patch1:		libdc1394-videodev.h.patch
Patch2:		libdc1394-1.2.2-automake-1.13.patch
BuildRequires: 	libraw1394_8-devel
BuildRequires:	libx11-devel
BuildRequires:	libxv-devel
BuildRequires:	libv4l-devel

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%if %_lib != lib
%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).
%endif

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}-%{release}
Provides: 	libdc1394_12-devel = %{version}-%{release}
Requires:	libraw1394_8-devel
Conflicts:	%mklibname -d dc1394

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .lib64
%patch1 -p0 -b .videodev
%patch2 -p1 -b .automake

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%if %_lib == lib
%files
%else
%files -n %{libname}
%endif
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/libdc1394_control.so.%{major}*

%files -n %{develname}
%{_bindir}/dc1394_vloopback
%{_includedir}/libdc1394
%{_libdir}/*.so


%changelog
* Fri Nov 11 2016 adrianomorselli <adrianomorselli> 1.2.2-1uplos2016
- rebuild

* Wed May 25 2016 bb <bb> 1.2.2-1pclos2016
- update

